ENDINGS ,v .old .orig
./Makefile,v ./Makefile
--- ./Makefile	1995/09/22 22:42:23	1.1
+++ ./Makefile	1995/09/23 00:46:22
@@ -1,18 +1,27 @@
-CFLAGS=		-O
+CC = gcc
+CFLAGS=		-O2 -m486 -pipe 
 
-OFILES=		ansi.o basic.o bind.o buffer.o display.o file.o \
+# inital setup
+# LIBS = -Wl,-Bstatic -ltermcap -Wl,-Bdynamic
+#LIBS = -Wl,-Bstatic -lncurses -Wl,-dynamic
+LIBS = -ltermcap
+# LIBS = -lncurses
+# LIBS= -lncurses -ltermcap
+#CFLAGS += -DNCURSES=1 -DTERMCAP=1
+
+OFILES=		ansi.o basic.o buffer.o display.o file.o \
 		fileio.o hp150.o line.o lock.c main.o random.o region.o \
 		search.o spawn.o tcap.o termio.o vt52.o window.o word.o \
-		exec.o eval.o isearch.o
+		exec.o eval.o isearch.o input.o bind.o
 
 CFILES=		ansi.c basic.c bind.c buffer.c display.c  file.c \
 		fileio.c hp150.c line.c lock.c main.c random.c region.c \
 		search.c spawn.c tcap.c termio.c vt52.c window.c word.c \
-		exec.c eval.c isearch.c
+		exec.c eval.c isearch.c input.c
 
 HFILES=		estruct.h edef.h efunc.h epath.h ebind.h evar.h esearch.h
 
 emacs:		$(OFILES)
-		$(CC) $(CFLAGS) $(OFILES) -ltermcap -lc -o emacs
+		$(CC) $(CFLAGS) $(OFILES) ${LIBS} -o emacs
 
 $(OFILES):	$(HFILES)
./display.c,v ./display.c
--- ./display.c	1995/09/22 22:44:43	1.1
+++ ./display.c	1995/09/22 22:46:24
@@ -771,7 +771,7 @@
     if ((bp->b_flag&BFCHG) != 0)                /* "*" if changed. */
         vtputc('*');
     else
-        vtputc(lchaX
+        vtputc(lchar) ;
     n  = 2;
     strcpy(tline, " MicroEMACS ");		/* Buffer name. */
     strcat(tline, VERSION);
./efunc.h,v ./efunc.h
--- ./efunc.h	1995/09/22 22:47:11	1.1
+++ ./efunc.h	1995/09/22 22:47:37
@@ -353,7 +353,8 @@
 	{"reverse-incremental-search",	risearch},
 #endif
 	{"save-file",			filesave},
-	{"save-window",			savewnd}X	{"search-forward",		forwsearch},
+	{"save-window",			savewnd},	
+  {"search-forward",		forwsearch},
 	{"search-reverse",		backsearch},
 	{"select-buffer",		usebuffer},
 	{"set",				setvar},
./ansi.c,v ./ansi.c
--- ./ansi.c	1995/09/22 22:56:11	1.1
+++ ./ansi.c	1995/09/22 22:58:04
@@ -4,7 +4,7 @@
  * "termio.c". It compiles into nothing if not an ANSI device.
  */
 
-#define	termdef	1			/* don't define "term" external */
+/* #define	termdef	1 */			/* don't define "term" external */
 
 #include        <stdio.h>
 #include	"estruct.h"
@@ -55,23 +55,23 @@
  */
 TERM    term    = {
 	NROW-1,
-        NROW-1,
-        NCOL,
-        NCOL,
+  NROW-1,
+  NCOL,
+  NCOL,
 	MARGIN,
 	SCRSIZ,
 	NPAUSE,
-        ansiopen,
-        ansiclose,
+  ansiopen,
+  ansiclose,
 	ansikopen,
 	ansikclose,
-        ttgetc,
-        ttputc,
-        ttflush,
-        ansimove,
-        ansieeol,
-        ansieeop,
-        ansibeep,
+  ttgetc,
+  ttputc,
+  ttflush,
+  ansimove,
+  ansieeol,
+  ansieeop,
+  ansibeep,
 	ansirev,
 	ansicres
 #if	COLOR
./estruct.h,v ./estruct.h
--- ./estruct.h	1995/09/22 22:58:36	1.1
+++ ./estruct.h	1995/09/23 00:38:35
@@ -27,10 +27,10 @@
 
 #define AMIGA   0                       /* AmigaDOS			*/
 #define ST520   0                       /* ST520, TOS                   */
-#define MSDOS   1                       /* MS-DOS                       */
+#define MSDOS   0                       /* MS-DOS                       */
 #define V7      0                       /* V7 UN*X or Coherent or BSD4.2*/
 #define	BSD	0			/* UNIX BSD 4.2	and ULTRIX	*/
-#define	USG	0			/* UNIX system V		*/
+#define	USG	1			/* UNIX system V		*/
 #define VMS     0                       /* VAX/VMS                      */
 #define CPM     0                       /* CP/M-86                      */
 #define	FINDER	0			/* Macintosh OS			*/
@@ -38,7 +38,7 @@
 /*	Compiler definitions			*/
 #define MWC86   0	/* marc williams compiler */
 #define	LATTICE	0	/* Lattice 2.14 thruough 3.0 compilers */
-#define	AZTEC	1	/* Aztec C 3.20e */
+#define	AZTEC	0	/* Aztec C 3.20e */
 #define	MSC	0	/* MicroSoft C compile version 3 */
 #define MEGAMAX 0	/* Megamax C compiler */
 
@@ -46,7 +46,7 @@
 #define	APROF	0	/* turn Aztec C profiling on? */
 #define	NBUCK	100	/* number of buckets to profile */
 #define	RAMSIZE	0	/* dynamic RAM memory usage tracking */
-#define	RAMSHOW	0	/* auto dynamic RAM reporting */
+#define	RAMSHOW	1	/* auto dynamic RAM reporting */
 
 /*   Special keyboard definitions            */
 
@@ -62,9 +62,10 @@
 #define VT100   0                       /* Handle VT100 style keypad.   */
 #define LK201   0                       /* Handle LK201 style keypad.   */
 #define RAINBOW 0                       /* Use Rainbow fast video.      */
-#define TERMCAP 0                       /* Use TERMCAP                  */
-#define	IBMPC	1			/* IBM-PC CGA/MONO driver	*/
-#define	EGA	0			/* EGA IBM-PC specific driver	*/
+#define NCURSES 0  /* whether we are linking with ncurses that defines `meta' */
+#define TERMCAP 1  /* Use TERMCAP                  */
+#define	IBMPC	0			/* IBM-PC CGA/MONO driver	*/
+#define	EGA	0			  /* EGA IBM-PC specific driver	*/
 #define	DG10	0			/* Data General system/10	*/
 #define	TIPC	0			/* TI Profesional PC driver	*/
 #define	MAC	0			/* Macintosh			*/
@@ -186,15 +187,15 @@
 /*	internal constants	*/
 
 #define	NBINDS	256			/* max # of bound keys		*/
-#define NFILEN  80                      /* # of bytes, file name        */
+#define NFILEN  256                      /* # of bytes, file name        */
 #define NBUFN   16                      /* # of bytes, buffer name      */
-#define NLINE   256                     /* # of bytes, line             */
+#define NLINE   4096                     /* # of bytes, line             */
 #define	NSTRING	128			/* # of bytes, string buffers	*/
 #define NKBDM   256                     /* # of strokes, keyboard macro */
 #define NPAT    128                     /* # of bytes, pattern          */
 #define HUGE    1000                    /* Huge number                  */
 #define	NLOCKS	100			/* max # of file locks active	*/
-#define	NCOLORS	8			/* number of supported colors	*/
+#define	NCOLORS	16			/* number of supported colors	*/
 #define	KBLOCK	250			/* sizeof kill buffer chunks	*/
 #define	NBLOCK	16			/* line block chunk size	*/
 #define	NVSIZE	10			/* max #chars in a var name	*/
./epath.h,v ./epath.h
--- ./epath.h	1995/09/22 23:19:57	1.1
+++ ./epath.h	1995/09/22 23:21:29
@@ -54,8 +54,8 @@
 {
 	".emacsrc",
 	"emacs.hlp",
-	"/usr/local/",
-	"/usr/lib/",
+	"/usr/local/lib/uemacs/",
+	"/usr/lib/uemacs/",
 	""
 };
 #endif
./main.c,v ./main.c
--- ./main.c	1995/09/22 23:31:08	1.1
+++ ./main.c	1995/09/23 00:33:50
@@ -1119,9 +1119,12 @@
 	return(FALSE);
 }
 
-meta()	/* dummy function for binding to meta prefix */
+
+#if ! NCURSES 
+meta() /* dummy function for binding to meta prefix */
 {
 }
+#endif
 
 cex()	/* dummy function for binding to control-x prefix */
 {
./edef.h,v ./edef.h
